curl -X POST "https://api.scanova.io/qr-assets/conditional-redirect-template/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{
"template_name": "Location-based redirect",
"data": [
{
"logic": "AND",
"conditions": [{ "field": "country", "operator": "eq", "value": "US" }],
"redirect_url": "https://example.com/us"
}
]
}'
{
"id": 3,
"template_name": "Location-based redirect",
"data": [
{
"logic": "AND",
"conditions": [{ "field": "country", "operator": "eq", "value": "US" }],
"redirect_url": "https://example.com/us"
}
],
"created": "2026-09-01T09:00:00Z",
"modified": "2026-09-01T09:00:00Z"
}
QR-Assets
Bedingte Weiterleitungsvorlage erstellen
POST /qr-assets/conditional-redirect-template/
POST
/
qr-assets
/
conditional-redirect-template
/
curl -X POST "https://api.scanova.io/qr-assets/conditional-redirect-template/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{
"template_name": "Location-based redirect",
"data": [
{
"logic": "AND",
"conditions": [{ "field": "country", "operator": "eq", "value": "US" }],
"redirect_url": "https://example.com/us"
}
]
}'
{
"id": 3,
"template_name": "Location-based redirect",
"data": [
{
"logic": "AND",
"conditions": [{ "field": "country", "operator": "eq", "value": "US" }],
"redirect_url": "https://example.com/us"
}
],
"created": "2026-09-01T09:00:00Z",
"modified": "2026-09-01T09:00:00Z"
}
Speichert eine neue bedingte Weiterleitungsvorlage, auf dem Management-API-Host (
Das Speichern einer Vorlage verknüpft sie nicht automatisch mit einem QR-Code — wenden Sie sie separat auf die Konfiguration der bedingten Weiterleitung eines QR-Codes an.
api.scanova.io), authentifiziert mit Ihrem rohen Management-API-Schlüssel.
POST https://api.scanova.io/qr-assets/conditional-redirect-template/
Authorization: 401f7ac837da42b97f613d789819ff93537bee6a
string
erforderlich
Vorlagenname, max. 100 Zeichen.
array
erforderlich
Ein Array von Bedingungsgruppen. Jede Gruppe hat einen logischen Operator
logic (AND/OR), ein conditions-Array mit {field, operator, value}-Prüfungen und eine redirect_url, an die passende Scans gesendet werden.curl -X POST "https://api.scanova.io/qr-assets/conditional-redirect-template/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{
"template_name": "Location-based redirect",
"data": [
{
"logic": "AND",
"conditions": [{ "field": "country", "operator": "eq", "value": "US" }],
"redirect_url": "https://example.com/us"
}
]
}'
{
"id": 3,
"template_name": "Location-based redirect",
"data": [
{
"logic": "AND",
"conditions": [{ "field": "country", "operator": "eq", "value": "US" }],
"redirect_url": "https://example.com/us"
}
],
"created": "2026-09-01T09:00:00Z",
"modified": "2026-09-01T09:00:00Z"
}
Verwandte Themen
- Bedingte Weiterleitungsvorlagen auflisten — gespeicherte Vorlagen ansehen.
- Bedingte Weiterleitungsvorlage aktualisieren — eine bestehende bearbeiten.
- Übersicht über die Management API — das Authentifizierungsschema und die Quota-Regeln für diesen Endpunkt.
Autorisierungen
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
Antwort
201 - application/json
Template created.
War diese Seite hilfreich?